> For the complete documentation index, see [llms.txt](https://docs.fuul.xyz/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.fuul.xyz/developer-guide/getting-individual-rewards/points.md).

# Points

Retrieve point rewards for individual users.

## Points for a specific user

Use `getPointsLeaderboard` filtered by `user_identifier`:

```typescript
import { Fuul } from '@fuul/sdk';

await Fuul.getPointsLeaderboard({
  user_identifier: '0x1234...',
  identifier_type: 'evm_address',
});
```

Example response:

```json
{
  "total_results": 1,
  "page": 1,
  "page_size": 10,
  "results": [
    {
      "address": "0x1234...",
      "total_amount": 15000,
      "rank": 42,
      "total_attributions": 85
    }
  ]
}
```

## Points grouped by conversion

```typescript
import { Fuul } from '@fuul/sdk';

await Fuul.getUserPointsByConversion({
  user_identifier: '0x1234...',
  identifier_type: 'evm_address',
  from: '2024-01-01',
  to: '2024-12-31',
});
```

## Points history (movements)

```typescript
import { Fuul } from '@fuul/sdk';

await Fuul.getUserPointsMovements({
  user_identifier: '0x1234...',
  identifier_type: 'evm_address',
});
```

Each movement includes a `payout_status` field. For point-type movements, this is always `confirmed` since no on-chain transaction is needed.

{% hint style="info" %}
Rewards data is updated hourly. Recent conversions and payouts will appear within a maximum of one hour.
{% endhint %}

## API reference

| SDK method                  | API endpoint                         | Reference                                                           |
| --------------------------- | ------------------------------------ | ------------------------------------------------------------------- |
| `getPointsLeaderboard`      | `GET /v1/payouts/leaderboard/points` | [View](https://fuul.readme.io/reference/getpointsleaderboard)       |
| `getUserPointsByConversion` | `GET /v1/payouts`                    | [View](https://fuul.readme.io/reference/getuserpayoutsbyconversion) |
| `getUserPointsMovements`    | `GET /v1/payouts/movements`          | [View](https://fuul.readme.io/reference/getuserpayoutmovements)     |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.fuul.xyz/developer-guide/getting-individual-rewards/points.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
